Интернет-магазин MagazinWeb

Android 15 может повысить минимальные требования к приложениям и заблокировать устаревшие приложения: Отчет

Сообщается, что Android 15 повышает минимальные требования к операционной системе для приложений с Android 6.0 до Android 7.1.

Android 15 Could Raise Minimum Requirement for Apps and Block Outdated Apps: Report

Говорят, что Android 15 выдвигает минимальные требования к приложениям для повышения безопасности и конфиденциальности пользователей

Реклама <согласно отчету, Android 15 может заблокировать некоторые приложения, которые в настоящее время находятся в Google Play Store или доступны на сторонних торговых площадках. Ходят слухи, что Google представит следующее поколение своей операционной системы для устройств Android во второй половине 2024 года. С выпуском Android 15 Developer Preview 2 21 марта было продемонстрировано несколько новых функций. Теперь в отчете предполагается, что Google может повысить минимальные требования к приложениям с предстоящим обновлением ОС.

В отчете Android Police подчеркивается, что требования к комплекту разработки программного обеспечения (SDK) были изменены и теперь поддерживается более высокая версия. С каждым новым обновлением ОС Google добавляет новые функции и параметры безопасности в экосистему Android. Однако это дает разработчикам достаточно времени, чтобы соответствовать последним требованиям. Например, в настоящее время на Android 14 разработчикам предлагается настроить таргетинг на Android 6.0 или Marshmallow, который был выпущен в 2015 году.

Эта ОС была важной, поскольку требовала, чтобы приложения получали согласие пользователей отдельно на конфиденциальные разрешения, такие как доступ к камере, адресной книге, журналам вызовов, и многое другое. Но теперь в отчете обнаружено, что сборка Android 15 DP2 не позволяет устанавливать на устройства приложения, ориентированные на SDK 23 на базе Android 6.0. Вместо этого теперь запрашивается SDK версии 24, который является Android 7.1.

Проведя тест при попытке установить приложение, которое не было обновлено до SDK 24, в отчете было обнаружено, что смартфон под управлением Android 14 смог легко установить и запустить его. Однако, когда эксперимент проводился на Google Pixel 8 Pro под управлением Android 15 DP2, выскочила ошибка, в которой говорилось “INSTALL_FAILED_DEPRECATED_SDK_VERSION”. Даже при попытке отложить загрузку приложения ОС выдала сообщение о том, что приложение небезопасно для установки.

  • В сообщениях Google появилась информация, облегчающая отправку изображений
  • Lenovo Tab M11 с аккумулятором емкостью 7040 мАч выпущен в Индии: Смотрите цену

Сообщение не является новым, и приложения с дополнительной загрузкой обычно выдают это предупреждение. Однако удивительным было то, что кнопка Установить в любом случае, которая появляется после этого, ничего не сделала, и приложение не удалось установить. Исходя из полученных результатов, похоже, что приложения, которые все еще ориентированы на Android 6.0, скорее всего, перестанут работать после выхода Android 15 по всему миру. Однако следует отметить, что сегодня не многие приложения ориентированы на SDK 23, поскольку разработчики пытаются увеличить версию приложения до последнего стандарта Android.

Является ли Samsung Galaxy Z Flip 5 лучшим складным телефоном, который вы можете купить в Индии прямо сейчас? Мы обсуждаем новый складной телефон компании в стиле раскладушки в последнем выпуске подкаста Orbital “Гаджеты 360”. Orbital доступен на Spotify, Gaana, JioSaavn, Google Podcasts, Apple Podcasts, Amazon Music и везде, где вы получаете свои подкасты.
Партнерские ссылки могут генерироваться автоматически – подробности смотрите в нашем заявлении об этике.